package types

type So5LeaderboardType string

const (
	So5LeaderboardTypeChallengerEuropeLimited         So5LeaderboardType = "CHALLENGER_EUROPE_LIMITED"
	So5LeaderboardTypeChallengerEuropeRare            So5LeaderboardType = "CHALLENGER_EUROPE_RARE"
	So5LeaderboardTypeChallengerEuropeRarePro         So5LeaderboardType = "CHALLENGER_EUROPE_RARE_PRO"
	So5LeaderboardTypeChallengerEuropeSuperRare       So5LeaderboardType = "CHALLENGER_EUROPE_SUPER_RARE"
	So5LeaderboardTypeChallengerEuropeUnique          So5LeaderboardType = "CHALLENGER_EUROPE_UNIQUE"
	So5LeaderboardTypeChampionAmericaLimited          So5LeaderboardType = "CHAMPION_AMERICA_LIMITED"
	So5LeaderboardTypeChampionAmericaRare             So5LeaderboardType = "CHAMPION_AMERICA_RARE"
	So5LeaderboardTypeChampionAmericaRarePro          So5LeaderboardType = "CHAMPION_AMERICA_RARE_PRO"
	So5LeaderboardTypeChampionAmericaSuperRare        So5LeaderboardType = "CHAMPION_AMERICA_SUPER_RARE"
	So5LeaderboardTypeChampionAmericaUnique           So5LeaderboardType = "CHAMPION_AMERICA_UNIQUE"
	So5LeaderboardTypeChampionAsiaLimited             So5LeaderboardType = "CHAMPION_ASIA_LIMITED"
	So5LeaderboardTypeChampionAsiaRare                So5LeaderboardType = "CHAMPION_ASIA_RARE"
	So5LeaderboardTypeChampionAsiaRarePro             So5LeaderboardType = "CHAMPION_ASIA_RARE_PRO"
	So5LeaderboardTypeChampionAsiaSuperRare           So5LeaderboardType = "CHAMPION_ASIA_SUPER_RARE"
	So5LeaderboardTypeChampionAsiaUnique              So5LeaderboardType = "CHAMPION_ASIA_UNIQUE"
	So5LeaderboardTypeChampionEuropeLimited           So5LeaderboardType = "CHAMPION_EUROPE_LIMITED"
	So5LeaderboardTypeChampionEuropeRare              So5LeaderboardType = "CHAMPION_EUROPE_RARE"
	So5LeaderboardTypeChampionEuropeRarePro           So5LeaderboardType = "CHAMPION_EUROPE_RARE_PRO"
	So5LeaderboardTypeChampionEuropeSuperRare         So5LeaderboardType = "CHAMPION_EUROPE_SUPER_RARE"
	So5LeaderboardTypeChampionEuropeUnique            So5LeaderboardType = "CHAMPION_EUROPE_UNIQUE"
	So5LeaderboardTypeChampionJupilerRare             So5LeaderboardType = "CHAMPION_JUPILER_RARE"
	So5LeaderboardTypeChampionJupilerRarePro          So5LeaderboardType = "CHAMPION_JUPILER_RARE_PRO"
	So5LeaderboardTypeChampionJupilerSuperRare        So5LeaderboardType = "CHAMPION_JUPILER_SUPER_RARE"
	So5LeaderboardTypeChampionJupilerUnique           So5LeaderboardType = "CHAMPION_JUPILER_UNIQUE"
	So5LeaderboardTypeFirstDivisionEnglandAmateur     So5LeaderboardType = "FIRST_DIVISION_ENGLAND_AMATEUR"
	So5LeaderboardTypeFirstDivisionEnglandPro         So5LeaderboardType = "FIRST_DIVISION_ENGLAND_PRO"
	So5LeaderboardTypeFirstDivisionEnglandSemiPro     So5LeaderboardType = "FIRST_DIVISION_ENGLAND_SEMI_PRO"
	So5LeaderboardTypeFirstDivisionFranceAmateur      So5LeaderboardType = "FIRST_DIVISION_FRANCE_AMATEUR"
	So5LeaderboardTypeFirstDivisionFrancePro          So5LeaderboardType = "FIRST_DIVISION_FRANCE_PRO"
	So5LeaderboardTypeFirstDivisionFranceSemiPro      So5LeaderboardType = "FIRST_DIVISION_FRANCE_SEMI_PRO"
	So5LeaderboardTypeFirstDivisionGermanyAmateur     So5LeaderboardType = "FIRST_DIVISION_GERMANY_AMATEUR"
	So5LeaderboardTypeFirstDivisionGermanyPro         So5LeaderboardType = "FIRST_DIVISION_GERMANY_PRO"
	So5LeaderboardTypeFirstDivisionGermanySemiPro     So5LeaderboardType = "FIRST_DIVISION_GERMANY_SEMI_PRO"
	So5LeaderboardTypeFirstDivisionItalyAmateur       So5LeaderboardType = "FIRST_DIVISION_ITALY_AMATEUR"
	So5LeaderboardTypeFirstDivisionItalyPro           So5LeaderboardType = "FIRST_DIVISION_ITALY_PRO"
	So5LeaderboardTypeFirstDivisionItalySemiPro       So5LeaderboardType = "FIRST_DIVISION_ITALY_SEMI_PRO"
	So5LeaderboardTypeFirstDivisionSpainAmateur       So5LeaderboardType = "FIRST_DIVISION_SPAIN_AMATEUR"
	So5LeaderboardTypeFirstDivisionSpainPro           So5LeaderboardType = "FIRST_DIVISION_SPAIN_PRO"
	So5LeaderboardTypeFirstDivisionSpainSemiPro       So5LeaderboardType = "FIRST_DIVISION_SPAIN_SEMI_PRO"
	So5LeaderboardTypeFirstDivisionUsAmateur          So5LeaderboardType = "FIRST_DIVISION_US_AMATEUR"
	So5LeaderboardTypeFirstDivisionUsPro              So5LeaderboardType = "FIRST_DIVISION_US_PRO"
	So5LeaderboardTypeFirstDivisionUsSemiPro          So5LeaderboardType = "FIRST_DIVISION_US_SEMI_PRO"
	So5LeaderboardTypeGlobalAllStarLimited            So5LeaderboardType = "GLOBAL_ALL_STAR_LIMITED"
	So5LeaderboardTypeGlobalAllStarRare               So5LeaderboardType = "GLOBAL_ALL_STAR_RARE"
	So5LeaderboardTypeGlobalAllStarRarePro            So5LeaderboardType = "GLOBAL_ALL_STAR_RARE_PRO"
	So5LeaderboardTypeGlobalAllStarSuperRare          So5LeaderboardType = "GLOBAL_ALL_STAR_SUPER_RARE"
	So5LeaderboardTypeGlobalAllStarUnique             So5LeaderboardType = "GLOBAL_ALL_STAR_UNIQUE"
	So5LeaderboardTypeGlobalCap220Limited             So5LeaderboardType = "GLOBAL_CAP_220_LIMITED"
	So5LeaderboardTypeGlobalCap220Rare                So5LeaderboardType = "GLOBAL_CAP_220_RARE"
	So5LeaderboardTypeGlobalCap220SuperRare           So5LeaderboardType = "GLOBAL_CAP_220_SUPER_RARE"
	So5LeaderboardTypeGlobalCap220Unique              So5LeaderboardType = "GLOBAL_CAP_220_UNIQUE"
	So5LeaderboardTypeGlobalCap240Limited             So5LeaderboardType = "GLOBAL_CAP_240_LIMITED"
	So5LeaderboardTypeGlobalCap240Rare                So5LeaderboardType = "GLOBAL_CAP_240_RARE"
	So5LeaderboardTypeGlobalCap240SuperRare           So5LeaderboardType = "GLOBAL_CAP_240_SUPER_RARE"
	So5LeaderboardTypeGlobalCap240Unique              So5LeaderboardType = "GLOBAL_CAP_240_UNIQUE"
	So5LeaderboardTypeGlobalCap270Limited             So5LeaderboardType = "GLOBAL_CAP_270_LIMITED"
	So5LeaderboardTypeGlobalCap270Rare                So5LeaderboardType = "GLOBAL_CAP_270_RARE"
	So5LeaderboardTypeGlobalCap270SuperRare           So5LeaderboardType = "GLOBAL_CAP_270_SUPER_RARE"
	So5LeaderboardTypeGlobalCap270Unique              So5LeaderboardType = "GLOBAL_CAP_270_UNIQUE"
	So5LeaderboardTypeGlobalKickoffLimited            So5LeaderboardType = "GLOBAL_KICKOFF_LIMITED"
	So5LeaderboardTypeGlobalKickoffRare               So5LeaderboardType = "GLOBAL_KICKOFF_RARE"
	So5LeaderboardTypeGlobalKickoffSuperRare          So5LeaderboardType = "GLOBAL_KICKOFF_SUPER_RARE"
	So5LeaderboardTypeGlobalKickoffUnique             So5LeaderboardType = "GLOBAL_KICKOFF_UNIQUE"
	So5LeaderboardTypeGlobalSpecialistLimited         So5LeaderboardType = "GLOBAL_SPECIALIST_LIMITED"
	So5LeaderboardTypeGlobalSpecialistRare            So5LeaderboardType = "GLOBAL_SPECIALIST_RARE"
	So5LeaderboardTypeGlobalSpecialistSuperRare       So5LeaderboardType = "GLOBAL_SPECIALIST_SUPER_RARE"
	So5LeaderboardTypeGlobalSpecialistSuperRareUnique So5LeaderboardType = "GLOBAL_SPECIALIST_SUPER_RARE_UNIQUE"
	So5LeaderboardTypeGlobalSpecialistUnique          So5LeaderboardType = "GLOBAL_SPECIALIST_UNIQUE"
	So5LeaderboardTypeGlobalUnderdogLimited           So5LeaderboardType = "GLOBAL_UNDERDOG_LIMITED"
	So5LeaderboardTypeGlobalUnderdogRare              So5LeaderboardType = "GLOBAL_UNDERDOG_RARE"
	So5LeaderboardTypeGlobalUnderdogSuperRare         So5LeaderboardType = "GLOBAL_UNDERDOG_SUPER_RARE"
	So5LeaderboardTypeGlobalUnderdogUnique            So5LeaderboardType = "GLOBAL_UNDERDOG_UNIQUE"
	So5LeaderboardTypeGlobalUnderTwentyOneLimited     So5LeaderboardType = "GLOBAL_UNDER_TWENTY_ONE_LIMITED"
	So5LeaderboardTypeGlobalUnderTwentyOneRare        So5LeaderboardType = "GLOBAL_UNDER_TWENTY_ONE_RARE"
	So5LeaderboardTypeGlobalUnderTwentyOneRarePro     So5LeaderboardType = "GLOBAL_UNDER_TWENTY_ONE_RARE_PRO"
	So5LeaderboardTypeGlobalUnderTwentyOneSuperRare   So5LeaderboardType = "GLOBAL_UNDER_TWENTY_ONE_SUPER_RARE"
	So5LeaderboardTypeGlobalUnderTwentyOneUnique      So5LeaderboardType = "GLOBAL_UNDER_TWENTY_ONE_UNIQUE"
	So5LeaderboardTypeGlobalUniqueOnly                So5LeaderboardType = "GLOBAL_UNIQUE_ONLY"
	So5LeaderboardTypeLegend                          So5LeaderboardType = "LEGEND"
	So5LeaderboardTypeLegendPro                       So5LeaderboardType = "LEGEND_PRO"
	So5LeaderboardTypeSecondDivisionEuropeLimited     So5LeaderboardType = "SECOND_DIVISION_EUROPE_LIMITED"
	So5LeaderboardTypeSecondDivisionEuropeRare        So5LeaderboardType = "SECOND_DIVISION_EUROPE_RARE"
	So5LeaderboardTypeSecondDivisionEuropeRarePro     So5LeaderboardType = "SECOND_DIVISION_EUROPE_RARE_PRO"
	So5LeaderboardTypeSecondDivisionEuropeSuperRare   So5LeaderboardType = "SECOND_DIVISION_EUROPE_SUPER_RARE"
	So5LeaderboardTypeSecondDivisionEuropeUnique      So5LeaderboardType = "SECOND_DIVISION_EUROPE_UNIQUE"
	So5LeaderboardTypeSpecialGlobalCup                So5LeaderboardType = "SPECIAL_GLOBAL_CUP"
	So5LeaderboardTypeSpecialTrainingCenter           So5LeaderboardType = "SPECIAL_TRAINING_CENTER"
	So5LeaderboardTypeSpecialWeekly                   So5LeaderboardType = "SPECIAL_WEEKLY"
	So5LeaderboardTypeStarterAcademyAdvanced          So5LeaderboardType = "STARTER_ACADEMY_ADVANCED"
	So5LeaderboardTypeStarterAcademyIntermediate      So5LeaderboardType = "STARTER_ACADEMY_INTERMEDIATE"
	So5LeaderboardTypeStarterAcademyNovice            So5LeaderboardType = "STARTER_ACADEMY_NOVICE"
	So5LeaderboardTypeStarterAcademyProficient        So5LeaderboardType = "STARTER_ACADEMY_PROFICIENT"
	So5LeaderboardTypeStarterRookie                   So5LeaderboardType = "STARTER_ROOKIE"
)
